diff --git source/MaterialXRender/CMakeLists.txt source/MaterialXRender/CMakeLists.txt
index 40ada6d..7f3532f 100644
--- source/MaterialXRender/CMakeLists.txt
+++ source/MaterialXRender/CMakeLists.txt
@@ -26,18 +26,10 @@ target_link_libraries(
     ${CMAKE_DL_LIBS})
 
 if(MATERIALX_BUILD_OIIO)
-    set(OPENIMAGEIO_ROOT_DIR ${MATERIALX_OIIO_DIR})
-    list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/External/OpenImageIO")
-    find_package(OpenImageIO REQUIRED)
-    if(OPENIMAGEIO_FOUND)
-        include_directories(${OPENIMAGEIO_INCLUDE_DIR})
-        target_link_libraries(MaterialXRender ${OPENIMAGEIO_LIBRARIES})
-        # Also needed by MaterialXTest:
-        set(OPENIMAGEIO_FOUND "${OPENIMAGEIO_FOUND}" PARENT_SCOPE)
-        set(OPENIMAGEIO_INCLUDE_DIR "${OPENIMAGEIO_INCLUDE_DIR}" PARENT_SCOPE)
-        set(OPENIMAGEIO_LIBRARIES "${OPENIMAGEIO_LIBRARIES}" PARENT_SCOPE)
-        set(OPENIMAGEIO_LIBRARY_DIRS "${OPENIMAGEIO_LIBRARY_DIRS}" PARENT_SCOPE)
-        set(OPENIMAGEIO_ROOT_DIR "${OPENIMAGEIO_ROOT_DIR}" PARENT_SCOPE)
+    find_package(OpenImageIO REQUIRED CONFIG)
+    if(OpenImageIO_FOUND)
+        include_directories(${OpenImageIO_INCLUDE_DIR})
+        target_link_libraries(MaterialXRender "OpenImageIO::OpenImageIO")
     endif()
 endif()
 
diff --git source/MaterialXTest/CMakeLists.txt source/MaterialXTest/CMakeLists.txt
index c30e155..be20dc7 100644
--- source/MaterialXTest/CMakeLists.txt
+++ source/MaterialXTest/CMakeLists.txt
@@ -61,8 +61,10 @@ endif()
 if(MATERIALX_BUILD_RENDER)
   add_subdirectory(MaterialXRender)
   target_link_libraries(MaterialXTest MaterialXRender)
-  if (MATERIALX_BUILD_OIIO)
-    target_link_libraries(MaterialXTest ${OPENIMAGEIO_LIBRARIES})
+  find_package(OpenImageIO REQUIRED CONFIG)
+  if(OpenImageIO_FOUND)
+    include_directories(${OpenImageIO_INCLUDE_DIR})
+    target_link_libraries(MaterialXTest "OpenImageIO::OpenImageIO")
   endif()
   if(MATERIALX_BUILD_GEN_GLSL)
     add_subdirectory(MaterialXRenderGlsl)
